Quassel IRC - Bug #1492

Segfault when selecting a network in quasselclient configuration
09/11/2018 12:51 PM - jhnsbtnr

Status: Resolved Start date: 09/11/2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.12.4 0S: Linux
Description

This should reproduce the bug:

- create a network, use standard identity
- delete the standard identity

- click on the network in "networks"

| don't know if providing a core dump is a good idea because it might contain sensitive information?

Here's the backtrace:

#0 0x0000555555901e80 in Identity::Identity (Identity consté&, QObject*) (this=0x555556f0ceb0, othe

r=..., parent=<optimized out>)
at /home/johannes/src/quassel/src/common/identity.cpp:55

#1 0x0000555555890cc9 in CertIdentity::CertIdentity (Identity consté&, QO0bject*) (this=0x555556f0ce

b0, other=..., parent=<optimized out>)
at /home/johannes/src/quassel/src/client/clientidentity.cpp:37

#2 0x00005555557e0539 in NetworksSettingsPage::displayNetwork (NetworkId) (this=0x555556d03000, id

=...)

at /home/johannes/src/quassel/src/qtui/settingspages/networkssettingspage.cpp:601
#3 0x00005555557e1824 in NetworksSettingsPage::on_networkList_itemSelectionChanged ()
56d03000)

at /home/johannes/src/quassel/src/qtui/settingspages/networkssettingspage.cpp:798

HEAD is 7a878bda2ba617ff2eac98b7089f0f0053a9ea30

(this=0x5555

Related issues:

Is duplicate of Quassel IRC - Bug #1432: Quassel client crashes when trying ... Resolved 03/04/2017
Is duplicate of Quassel IRC - Bug #1295: Crash upon configuring network using... Resolved 06/27/2014
History

#1 - 09/15/2018 03:54 AM - genius3000
- Related to Bug #1432: Quassel client crashes when trying to change Network settings added

#2 - 09/15/2018 03:54 AM - genius3000
- Related to deleted (Bug #1432: Quassel client crashes when trying to change Network settings)

#3 - 09/15/2018 03:55 AM - genius3000

- Is duplicate of Bug #1432: Quassel client crashes when trying to change Network settings added

#4 - 09/15/2018 03:55 AM - genius3000
- Is duplicate of Bug #1295: Crash upon configuring network using deleted identity added

#5 - 06/16/2021 04:57 AM - phuzion

- Status changed from New to Resolved

As seen in #1409, this bug is fixed.
